Debian Bug report logs - #403237
wxwidgets2.6: new stable upstream version 2.8.3

Package: wxwidgets2.6; Maintainer for wxwidgets2.6 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: Ryan Nowakowski <tubaman@fattuba.com>

Date: Fri, 15 Dec 2006 17:03:02 UTC

Severity: wishlist

Merged with 415677, 440330

Done: Ron <ron@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to Ryan Nowakowski <tubaman@fattuba.com>:
New Bug report received and forwarded. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Nowakowski <tubaman@fattuba.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-wxgtk2.6: new stable upstream version 2.8.0.1
Date: Fri, 15 Dec 2006 10:52:27 -0600
Package: python-wxgtk2.6
Version: 2.6.3.2.1.5
Severity: wishlist


Please package.  Thanks!

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages python-wxgtk2.6 depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-20  GCC support library
ii  libstdc++6                   4.1.1-20    The GNU Standard C++ Library v3
ii  libwxbase2.6-0               2.6.3.2.1.5 wxBase library (runtime) - non-GUI
ii  libwxgtk2.6-0                2.6.3.2.1.5 wxWidgets Cross-platform C++ GUI t
ii  python                       2.4.4-1     An interactive high-level object-o
ii  python-central               0.5.12      register and build utility for Pyt
ii  python-wxversion             2.6.3.2.1.5 wxWidgets Cross-platform C++ GUI t
ii  python2.4                    2.4.4-1     An interactive high-level object-o

python-wxgtk2.6 recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@voicetronix.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #10 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@voicetronix.com>
To: Ryan Nowakowski <tubaman@fattuba.com>, 403237@bugs.debian.org
Subject: Re: Bug#403237: python-wxgtk2.6: new stable upstream version 2.8.0.1
Date: Sat, 16 Dec 2006 05:39:48 +1030
Hi,

pgadmin has already outgrown wx2.6, so we need something newer soon,
but etch is frozen so its too late for this right now.  We'll look
at a migration strategy after etch, which will give this new release
some time for the lacquer to dry and app authors a chance to see if
it works for them well enough to want to migrate.

Cheers,
Ron

On Fri, Dec 15, 2006 at 10:52:27AM -0600, Ryan Nowakowski wrote:
> Package: python-wxgtk2.6
> Version: 2.6.3.2.1.5
> Severity: wishlist
> 
> 
> Please package.  Thanks!
> 
> -- System Information:
> Debian Release: 4.0
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18-3-686
> Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
> 
> Versions of packages python-wxgtk2.6 depends on:
> ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
> ii  libgcc1                      1:4.1.1-20  GCC support library
> ii  libstdc++6                   4.1.1-20    The GNU Standard C++ Library v3
> ii  libwxbase2.6-0               2.6.3.2.1.5 wxBase library (runtime) - non-GUI
> ii  libwxgtk2.6-0                2.6.3.2.1.5 wxWidgets Cross-platform C++ GUI t
> ii  python                       2.4.4-1     An interactive high-level object-o
> ii  python-central               0.5.12      register and build utility for Pyt
> ii  python-wxversion             2.6.3.2.1.5 wxWidgets Cross-platform C++ GUI t
> ii  python2.4                    2.4.4-1     An interactive high-level object-o
> 
> python-wxgtk2.6 recommends no packages.
> 
> -- no debconf information
> 



Information forwarded to debian-bugs-dist@lists.debian.org, kevin@rustybear.com, Ron Lee <ron@debian.org>:
Bug#403237; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to Kevin Coyner <kevin@rustybear.com>:
Extra info received and forwarded to list. Copy sent to kevin@rustybear.com, Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #15 received at 403237@bugs.debian.org (full text, mbox):

From: Kevin Coyner <kevin@rustybear.com>
To: Debian Bug Tracking System <403237@bugs.debian.org>
Subject: python-wxgtk2.6: new stable upstream version 2.8.1.1
Date: Mon, 12 Feb 2007 19:28:48 -0500
Package: python-wxgtk2.6

Version: 2.6.3.2.1.5
Followup-For: Bug #403237

A new version wxPython 2.8.1.1 is available and would be nice to
have in unstable.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages python-wxgtk2.6 depends on:
ii  libc6                       2.3.6.ds1-11 GNU C Library: Shared libraries
ii  libgcc1                     1:4.1.1-21   GCC support library
ii  libstdc++6                  4.1.1-21     The GNU Standard C++ Library v3
ii  libwxbase2.6-0              2.6.3.2.1.5  wxBase library (runtime) - non-GUI
ii  libwxgtk2.6-0               2.6.3.2.1.5  wxWidgets Cross-platform C++ GUI t
ii  python                      2.4.4-2      An interactive high-level object-o
ii  python-central              0.5.12       register and build utility for Pyt
ii  python-wxversion            2.6.3.2.1.5  wxWidgets Cross-platform C++ GUI t
ii  python2.4                   2.4.4-2      An interactive high-level object-o

python-wxgtk2.6 recommends no packages.

-- no debconf information

-- 
Kevin Coyner  GnuPG key: 1024D/8CE11941



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #20 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Kevin Coyner <kevin@rustybear.com>, 403237@bugs.debian.org
Subject: Re: Bug#403237: python-wxgtk2.6: new stable upstream version 2.8.1.1
Date: Tue, 13 Feb 2007 13:21:28 +1030
On Mon, Feb 12, 2007 at 07:28:48PM -0500, Kevin Coyner wrote:
> A new version wxPython 2.8.1.1 is available and would be nice to
> have in unstable.

If you read my previous comments on this 'bug', you'll note nothing
has changed wrt the frozen state of unstable for the etch release,
and if you read the numerous upstream bug reports it should be evident
this release is quite far from being a candidate that we should rush
in to a stable release at the last minute.  2.8.2 is already on the
horizon, and it fairly clearly won't be the last to fix major bugs
in this new 'stable' release either.

We need to focus on getting the existing apps released with the 2.6
version they currently work with before we can think about breaking
them all again by replacing it with a 2.8 or later snapshot.

That is a job for unstable in its full unstable glory ;-)  In the
meantime we need to be nice to the people itching for Etch to release.

  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #25 received at 403237@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 403237@bugs.debian.org
Subject: nsis upstream changes needs wxWidgets 2.8
Date: Sat, 03 Mar 2007 13:07:58 +0900
[Message part 1 (text/plain, inline)]
Hi Ron,

I know your TODO list is long and we are in the etch freeze, but it
would be nice to get a rough wxWidgets 2.8 package in experimental or
even on people.debian.org.

nsis upstream is now allowing porting it's previously Windows-only menu
app to Linux and it uses wxWidgets 2.8, so I'd like to make sure it
works on Debian before the upstream release.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to wxwidgets2.6: new stable upstream version 2.8.3 from python-wxgtk2.6: new stable upstream version 2.8.0.1. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2007 06:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `python-wxgtk2.6' to `wxwidgets2.6'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2007 06:33:02 GMT) Full text and rfc822 format available.

Merged 403237 415677. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2007 06:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to 403237@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #36 received at 403237@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Ron <ron@debian.org>, 403237@bugs.debian.org
Subject: Re: Bug#403237: python-wxgtk2.6: new stable upstream version 2.8.1.1
Date: Sat, 21 Apr 2007 21:36:35 +0200
* Ron [Tue, 13 Feb 2007 13:21:28 +1030]:

Hey Ron, any updates on this now that etch is released? Thanks.

> If you read my previous comments on this 'bug', you'll note nothing
> has changed wrt the frozen state of unstable for the etch release,
> and if you read the numerous upstream bug reports it should be evident
> this release is quite far from being a candidate that we should rush
> in to a stable release at the last minute.  2.8.2 is already on the
> horizon, and it fairly clearly won't be the last to fix major bugs
> in this new 'stable' release either.

> We need to focus on getting the existing apps released with the 2.6
> version they currently work with before we can think about breaking
> them all again by replacing it with a 2.8 or later snapshot.

> That is a job for unstable in its full unstable glory ;-)  In the
> meantime we need to be nice to the people itching for Etch to release.

>   Ron





-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Under capitalism, man exploits man.
Under communism, it's just the opposite.
                -- J.K. Galbraith




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #41 received at 403237@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: "\"Adam" Cécile "(Le_Vert)\"" <gandalf@le-vert.net>
Cc: debian-devel@lists.debian.org, 403237@bugs.debian.org, ron@debian.org
Subject: wxwidgets2.8 (Re: packages newer in Ubuntu than in Debian)
Date: Tue, 01 May 2007 21:58:13 +0200
[Message part 1 (text/plain, inline)]
On Tue, 2007-05-01 at 21:28 +0200, "Adam Cécile (Le_Vert)" wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Bart Martens a écrit :
> > Hi Package Maintainers (DD's and non-DD's),
> > 
> > Now that Etch is released to stable, many package maintainers have
> > already updated their packages to the newest upstream releases.  That is
> > of course very good.
> > 
> > However, some packages have no working debian/watch file, and then it is
> > not always easily seen whether there are newer upstream releases
> > available for these packages.  I suggest to add/update debian/watch with
> > your next updates of your packages.  Non-DD's are welcome to ask help
> > for that on debian-mentors@lists.debian.org .  Hint: test the
> > debian/watch file with "uscan --report-status".
> 
> Hi,
> 
> I would be happy to update filezilla package, however it require
> wxwidgets 2.8 which is available in ubuntu but not in debian.
> 
> I have no time and not enough knowledge to maintain such a package so
> I'm just waiting on someone to care about wx2.8.
> 
> I think we'll have many problems when upstreams will start using wx2.8
> new features...
> 
> Regards, Adam

Thanks for explaining why filezilla is not yet updated.  If you have the
time, you might want to offer help to the maintainer of wxwidgets2.6:
http://packages.qa.debian.org/w/wxwidgets2.6.html
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=wxwidgets2.6
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403237

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #46 received at 403237@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: debian-devel@lists.debian.org
Cc: 403237@bugs.debian.org, mia@qa.debian.org
Subject: Is Ron Lee MIA? (was Re: wxwidgets2.8)
Date: Thu, 24 May 2007 16:37:50 -0400
Bart Martens <bartm@debian.org> writes:

> Thanks for explaining why filezilla is not yet updated.  If you have the
> time, you might want to offer help to the maintainer of wxwidgets2.6:

Likewise, bitpim has moved to 2.8 upstream, forcing me to hold back or
backport various GUI-related changes on their part, so I'd also
greatly appreciate seeing wxWidgets 2.8 in Debian.

However, I am concerned that its maintainer (Ron Lee) may have gone
altogether MIA, as I see no indication of Debian-related activity on
his part since the end of February; has anyone seen any sign of him
since?

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Paul Wise" <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #51 received at 403237@bugs.debian.org (full text, mbox):

From: "Paul Wise" <pabs@debian.org>
To: debian-devel@lists.debian.org, 403237@bugs.debian.org, mia@qa.debian.org, "Ron Lee" <ron@debian.org>
Subject: Re: Is Ron Lee MIA? (was Re: wxwidgets2.8)
Date: Fri, 25 May 2007 09:42:13 +1000
On 5/25/07, Aaron M. Ucko <ucko@debian.org> wrote:

> Likewise, bitpim has moved to 2.8 upstream, forcing me to hold back or
> backport various GUI-related changes on their part, so I'd also
> greatly appreciate seeing wxWidgets 2.8 in Debian.
>
> However, I am concerned that its maintainer (Ron Lee) may have gone
> altogether MIA, as I see no indication of Debian-related activity on
> his part since the end of February; has anyone seen any sign of him
> since?

I exchanged a couple of emails with him about GPG signing in April.
His mail was dated Wed, 25 Apr 2007 00:38:14 +0930. He had this to say
about wxWidgets stuff:

---------------------------------------------------------------------------------------------
Still dunno when I'm going to get to wx2.8 at this stage...  and looking
at what they are doing with 2.9, I'm not sure that its not all going to
get rather pear-shaped for a while -- but more people are going to start
bugging me about it whatever happens there...

If you've got the itch to tinker with this yourself, there is a cvs repo
on alioth we can use to let interested people scratch their own itches
with it...  if there are enough such people, who are also actually using
it, then we should be able to get back to the stability of 2.4 whatever
else upstream does.  I don't think gtk1 is going to last another release,
so we do need a good replacement for it.
---------------------------------------------------------------------------------------------

I'm thinking there needs to be a co-maintainence team for wxWidgets,
and ron seems open to the idea.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #56 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: debian-devel@lists.debian.org, 403237-quiet@bugs.debian.org, mia@qa.debian.org, "Ron Lee" <ron@debian.org>
Subject: Re: Is Ron Lee MIA?
Date: Thu, 24 May 2007 20:34:04 -0400
"Paul Wise" <pabs@debian.org> writes:

> I exchanged a couple of emails with him about GPG signing in April.

Good to know; apologies for the false alarm.

> I'm thinking there needs to be a co-maintainence team for wxWidgets,
> and ron seems open to the idea.

Sounds reasonable, though I'm spread too thin already to participate
myself; wxWidgets is rather large and popular for anyone to take on
solo, even with close ties to upstream.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #61 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 403237@bugs.debian.org
Subject: Re: Bug#403237: Is Ron Lee MIA? (was Re: wxwidgets2.8)
Date: Sat, 26 May 2007 00:08:38 +0930
On Thu, May 24, 2007 at 04:37:50PM -0400, Aaron M. Ucko wrote:
> Bart Martens <bartm@debian.org> writes:
> 
> > Thanks for explaining why filezilla is not yet updated.  If you have the
> > time, you might want to offer help to the maintainer of wxwidgets2.6:
> 
> Likewise, bitpim has moved to 2.8 upstream, forcing me to hold back or
> backport various GUI-related changes on their part, so I'd also
> greatly appreciate seeing wxWidgets 2.8 in Debian.

We can't by any sensible measure just keep accruing wx releases in the
distro.  There are apps still happily using 2.4 because an 'upgrade' to
2.6 will break them, though the demise of gtk1 is going to put an end
to that period of bliss eventually whether they are working or not...

wx2.6 was rushed out prematurely, because book deadlines apparently
trump good release management, 2.8 followed fairly shortly after for
reasons which should be obvious, but not quickly enough to introduce
another transition into the etch cycle.  Its the release we probably
should have had in etch, but only very few people I know of had tested
it with apps that were candidates for the distro, and though there were
some apps that already would no longer work with 2.6 in their latest
form, the needs of the many ultimately had to win the hand for etch.

I don't know of any app that missed inclusion totally from etch for
this reason.

So the million dollar question now, is which version do we want to ship
with Lenny.  2.8 will almost certainly be obsolete by then, and it looks
like 2.9 is going to totally break everybody's string handling yet again.
How big a nightmare that proves to be is probably also going to depend
on how many shortcuts it takes to make an intractable solution meet
another contractual deadline...

I'm fairly sure there will be a late night comedy sketch or two before
that all blows over, and which way we go will depend a lot on what the
major app authors decide is best for them.

I don't really feel comfortable just inflicting an arbitrary new version
or two on them, but we do need some idea of who is committed to using 2.8
through to the release of Lenny, and who has already moved on from that
and thinks we should also.

There are too many of these people now for me to keep track of them all
individually, so to some extent you are all going to need to work that
bit out amongst yourselves and let me know what you came up with.

If we need a list to do that on, that shouldn't be too hard to arrange,
but what it really needs is people committed to coordinating the next
release to meet their needs and those of as many other developers as
possible.

> However, I am concerned that its maintainer (Ron Lee) may have gone
> altogether MIA, as I see no indication of Debian-related activity on
> his part since the end of February; has anyone seen any sign of him
> since?

Are you sure that wasn't missing inaction... ?

I can, in sound mind and body, assure you that your concern is greatly
out of proportion with anything resembling a fact.  I fear someone may
have sold you a canary that had to be nailed to its perch.  ;)  My last
mail to an @l.d.o would have been within the last week, and my last reply
to the bts about a week before that.  Not so many indicators as an old
18wheeler, but enough to make me street legal I should think.

Anyhow, most people who want to find some sign of me and don't hang out
under the same rocks I do, usually find it sufficient to send me an email
saying something like, "er, Ron, we've got this problem...".
Adding useful information to a bts entry can work pretty well too...

Where did you get the Feb idea from?

busy, busy, busy,

 Ron





Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #66 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Ron <ron@debian.org>
Cc: "Aaron M. Ucko" <ucko@debian.org>, 403237-quiet@bugs.debian.org
Subject: Re: Bug#403237: Is Ron Lee MIA?
Date: Fri, 25 May 2007 11:43:04 -0400
Ron <ron@debian.org> writes:

> I don't really feel comfortable just inflicting an arbitrary new version
> or two on them, but we do need some idea of who is committed to using 2.8
> through to the release of Lenny, and who has already moved on from that
> and thinks we should also.

That is an excellent point; nevertheless, I don't believe I'm alone in
wishing to have 2.8 packages officially available, so I for one would
greatly appreciate some action on that front.  (FWIW, BitPim sticks to
stable wxPython releases, but tends to track them fairly closely and
be quick about exploiting new APIs; it will likely move to 2.10 when
that comes out but stick with 2.8 until then.)

> Where did you get the Feb idea from?

For one thing, your lack of any reply to *this* BTS entry until just
now despite etch's release and Adeodato's ping several weeks ago; I
also searched Google Groups, which indexes several Debian lists (but
evidently not enough of them), and checked the activity information in
your LDAP record (which evidently ignores unsigned mail).

At any rate, I do apologize for failing to check more thoroughly; no
offense meant, and I quite understand being busy.  (As a matter of
fact, I'm not sure I've ever met a fellow DD who wasn't; I'm certainly
no exception.)

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.



Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #71 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>
Cc: debian-devel@lists.debian.org, 403237-quiet@bugs.debian.org, mia@qa.debian.org
Subject: Is wx salvageable? (was Re: Is Ron Lee MIA?)
Date: Sat, 26 May 2007 01:39:41 +0930
On Thu, May 24, 2007 at 08:34:04PM -0400, Aaron M. Ucko wrote:
> "Paul Wise" <pabs@debian.org> writes:
> 
> > I exchanged a couple of emails with him about GPG signing in April.
> 
> Good to know; apologies for the false alarm.
> 
> > I'm thinking there needs to be a co-maintainence team for wxWidgets,
> > and ron seems open to the idea.
> 
> Sounds reasonable, though I'm spread too thin already to participate
> myself; wxWidgets is rather large and popular for anyone to take on
> solo, even with close ties to upstream.

Just so we're all nice and clear on what I think is really needed here:

Linus doesn't have any trouble with the kernel tree, and its somewhat
larger, much more popular, and probably most importantly in this
context, much better managed.

The problem here is not that anything is all on one person's head.
Its actually more like the problem of the security council where a
small group of self proclaimed superpowers all claim the right of
veto over what the others try to do.  The result is not unlike that
of any other committee where the majority of players like to put Dr.
in their names.

Devoted self-interest and serving the best needs of a broadening
userbase just don't always go hand in hand, and I think that simply
throwing more eager beavers at a problem like that might give you
a bigger pile of lumber, but they aren't going to do very much to
improve your architecture.

So, if this lib is going to have a long and prosperous future,
then what it really needs is for its most devoted users to take
control over their own future with it from a grass roots level.
They are the people who are actually testing it in real use
situations, and they are the people most able to identify what
features are missing and what bugs are troublesome.

Perhaps we need to get this in git and set up a system where
people can push changes that they tested locally through a web
of related users toward inclusion in a new package release.

That seems a lot more sustainable than having me or some arbitrary
team foisting random new releases upon the users in the hope that
more of them will swim than sink.  Changes that apps in the distro
require can percolate into a new upload in a controlled and well
tested fashion, and changes that they don't require, or that are
harmful to too many of them can be excluded until they are refined.

UNPUBLISHED PROPRIETARY SOURCE (their caps not mine) and its ilk
should also be less likely to slip in and be nearly included in a
release with more eyes overseeing what gets pushed to the common
tree.

Actually maintaining the package that gets uploaded is trivial
beyond the mythical Good Judgement, its auditing the changes made
to the library api and implementation itself that is the really
tricky and ultimately the only important task, which is why I think
that what we need here is not really a team of co-maintainers so much
as a way to empower the existing and future co-dependents to share
their knowledge of what needs to change where and when.

The lib itself is pretty useless without the authors of dependent
apps, so ideally it should evolve to suit their needs, not the
other way around, whatever the rule of thumb for using a 'framework'
is supposed to be.

So if you're still reading at this point, and think I'm talking
about you and that this is a way you'd like to get _your_ work
done effectively, then give me a ping in private mail and we'll
see what sort of infrastructure we'll need to get it bootstrapped.

This isn't really a package that takes well to people dabbling in
it, but I really do think it could benefit greatly at this point
in its lifecycle from engaging its active users far more closely.

Cheers,
Ron





Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #76 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Ron <ron@debian.org>
Cc: debian-devel@lists.debian.org, 403237-quiet@bugs.debian.org
Subject: Re: Is wx salvageable? (was Re: Is Ron Lee MIA?)
Date: Fri, 25 May 2007 19:02:26 +0200
* Ron [Sat, 26 May 2007 01:39:41 +0930]:

> So, if this lib is going to have a long and prosperous future,
> then what it really needs is for its most devoted users to take
> control over their own future with it from a grass roots level.
> They are the people who are actually testing it in real use
> situations, and they are the people most able to identify what
> features are missing and what bugs are troublesome.

> Perhaps we need to get this in git and set up a system where
> people can push changes that they tested locally through a web
> of related users toward inclusion in a new package release.

> That seems a lot more sustainable than having me or some arbitrary
> team foisting random new releases upon the users in the hope that
> more of them will swim than sink.  Changes that apps in the distro
> require can percolate into a new upload in a controlled and well
> tested fashion, and changes that they don't require, or that are
> harmful to too many of them can be excluded until they are refined.

Ron, while I can see how your propoosed model could improve the quality
and usefulness of wxWidgets for the users of the library, it does not
address the original problem raised in this thread, which is: "Stable
releases of wxWidgets get uploaded to Debian very late".

If you want to work on improving the development process of wxWidgets in
order to produce better releases, that's perfectly fine, but once the
wxWidgets project releases a certain version as "stable", your wishes
for a better development process should not prevent you from doing your
task as a Debian maintainer. If something is released, it is a
reasonable expectation that the maintainer will upload it in a timely
manner, unless there's evidence that it's utterly broken -- which it
doesn't seem to be the case here.

Since you reckon that actually maintaining the package is not difficult,
yet you seem to be more motivated by upstream-related stuff than mere
maintenance, maybe you could benefit after all from some motivated
co-maintainers? And hey, this is completely orthogonal to your quest for
involvement from co-dependents, for which I wish you luck.

Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Guy: My dad made my mom have a cesarean when she had my little brother.
He wanted to make sure he was born in the 1986 tax year so he could get
another tax credit.
                -- http://www.overheardinnewyork.com/archives/002968.html




Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #81 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: debian-devel@lists.debian.org, 403237-quiet@bugs.debian.org
Subject: Re: Is wx salvageable? (was Re: Is Ron Lee MIA?)
Date: Sat, 26 May 2007 03:44:56 +0930
On Fri, May 25, 2007 at 07:02:26PM +0200, Adeodato Simó wrote:
> Ron, while I can see how your propoosed model could improve the quality
> and usefulness of wxWidgets for the users of the library, it does not
> address the original problem raised in this thread, which is: "Stable
> releases of wxWidgets get uploaded to Debian very late".

You seem to miss the point.  "stable" releases of wx tend to not
actually be usable for everyone for quite some time, and this is
a trend that is not improving with age.

Perhaps "tend" is the wrong word here.  Let me clarify:  NEVER has
the first "stable" release of some new wx branch gone out the door
without some critical flaw that required an immediate errata release.

It's usually not until a branch is abandoned by most of the upstream
developers that it actually becomes stable, and usable for a majority
of application developers.  Especially those trying to make and
maintain stable releases of their own.  That, by definition, is a
waiting game.

We can't just keep adding more and more wx versions to the distro,
we need a clear plan to migrate from one to the next.  Without that
we will create an awful, confusing, bloated mess for users.  The
new release has to prove itself at least as usable as the old one
before it can be considered a viable replacement.

> If you want to work on improving the development process of wxWidgets in
> order to produce better releases, that's perfectly fine, but once the
> wxWidgets project releases a certain version as "stable", your wishes
> for a better development process should not prevent you from doing your
> task as a Debian maintainer. If something is released, it is a
> reasonable expectation that the maintainer will upload it in a timely
> manner, unless there's evidence that it's utterly broken -- which it
> doesn't seem to be the case here.

You seem to also not read the daily influx of bug reports to the wx-dev
list.  Nor offer any proof that we can transition to this release
without major breakage in an important application.  That it Works For
You (perhaps) for some unspecified purposes may be nice information,
now what about for everyone else?

> Since you reckon that actually maintaining the package is not difficult,
> yet you seem to be more motivated by upstream-related stuff than mere
> maintenance, maybe you could benefit after all from some motivated
> co-maintainers? And hey, this is completely orthogonal to your quest for
> involvement from co-dependents, for which I wish you luck.

Are you volunteering to help, or demanding that I put your wishes above
carefully selecting what should be a part of the distribution and
deciding when the right time to initiate a transition might be?

As I've already said, people who have the skill and inclination to help
are eagerly invited to contact me privately about how they might do that
best.  And I think the people who can help best are those who are actually
developing and testing applications that use it.  People who just want to
throw the weight of their unsubstantiated opinion and personal demands
into the ring are invited to first read the constitution and social
contract.

I'll not entertain a flame war here on this topic.  If you are not
prepared and capable of actually helping, then I'm afraid you are
simply not, well, helping...

make sense?

 Ron





Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #86 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: ucko@debian.org (Aaron M. Ucko), 403237-quiet@bugs.debian.org
Cc: Ron <ron@debian.org>
Subject: Re: Bug#403237: Is Ron Lee MIA?
Date: Fri, 25 May 2007 21:19:30 +0300
[Message part 1 (text/plain, inline)]
-=| Aaron M. Ucko, Fri, 25 May 2007 11:43:04 -0400 |=-
> Ron <ron@debian.org> writes:
> 
> > I don't really feel comfortable just inflicting an arbitrary new
> > version or two on them, but we do need some idea of who is
> > committed to using 2.8 through to the release of Lenny, and who has
> > already moved on from that and thinks we should also.
> 
> That is an excellent point; nevertheless, I don't believe I'm alone in
> wishing to have 2.8 packages officially available

Yes, you're not alone.

What is the problem of having 2.8 in? If it is time, then I see enough
people interested. Perhaps help will come if asked for?
-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Burton" <richardaburton@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #91 received at 403237@bugs.debian.org (full text, mbox):

From: "Richard Burton" <richardaburton@hotmail.com>
To: 403237@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#403237: Is Ron Lee MIA?
Date: Mon, 28 May 2007 12:47:31 +0000
block 398615 by 403237
thanks

Kicad has moved to wx 2.8 upstream. I've patched up the latest release (now 
pending an upload) to work with 2.6. As they have only recently moved it 
wasn't too big a job, but it'll become a bigger job in the future. Also, at 
least one of our bugs which was suspected to be with wx has been fixed in 
2.8.

I know it doesn't answer all the points made, but the wxwidgets home page 
has Debian packages of the current version, which seem to happily co-exist 
with your 2.6 packages, so a good bit of the work has already been done and 
there is obviously someone out there (the package maintainer is listed as 
"wxWidgets dev-team <wx-dev@lists.wxwidgets.org>") that already maintains 
Debian wx packages who might be happy to have more involvement with the 
official versions.

Richard.

_________________________________________________________________
Play your part in making history - Email Britain! 
http://www.emailbritain.co.uk/




Blocking bugs of 398615 added: 403237 and 415677 Request was from "Richard Burton" <richardaburton@hotmail.com> to control@bugs.debian.org. (Mon, 28 May 2007 12:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_nospam@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #98 received at 403237@bugs.debian.org (full text, mbox):

From: Hamish <hamish_nospam@yahoo.com>
To: Debian Bug Tracking System <403237@bugs.debian.org>
Subject: Re: Bug#403237: python-wxgtk2.6: new stable upstream version 2.8
Date: Mon, 04 Jun 2007 19:58:15 +1200
Package: wxwidgets2.6
Followup-For: Bug #403237

Hi,

just to throw in another data point-

GRASS GIS 6.3 (in deb as the grass package) and newer will be using
wxWidgets 2.8 for the GUI. It is not being designed to be backwards
compaitible with wx2.6. I'm mostly stalled being able to help out
with GUI devel until this is resolved.



thanks for your efforts,
Hamish



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Reuben Thomas <rrt@sc3d.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #103 received at 403237@bugs.debian.org (full text, mbox):

From: Reuben Thomas <rrt@sc3d.org>
To: Debian Bug Tracking System <403237@bugs.debian.org>
Subject: wx-common: There's no problem with multiple versions!
Date: Sun, 22 Jul 2007 22:49:13 +0100
Package: wx-common
Followup-For: Bug #403237

So far, we've heard mostly from the wxWidgets maintainers, and those
who use it in writing or packaging dependent programs. But a much
bigger class of users are those who simply want to use applications
written against wxWidgets. For example, I'd love to see xmlcopyeditor
(http://xml-copy-editor.sf.net) in Debian, but it requires a minimum
of 2.8 (it's a new application). I'm not a DD.

Ron wrote:

> We can't just keep adding more and more wx versions to the distro,
> we need a clear plan to migrate from one to the next.  Without that
> we will create an awful, confusing, bloated mess for users.  The
> new release has to prove itself at least as usable as the old one
> before it can be considered a viable replacement.

There are a couple of things here that I don't really understand:

1. What's the problem with multiple versions? There are plenty of
   libraries with multiple versions in Debian. I've never been
   confused or bloated by the myriad versions of libdb I always seem
   to have installed. This is a problem, caused by upstream, for
   developers using such libraries, but not directly for users of the
   programs built with those libraries, because the Debian packaging
   takes care of the problem for them. Similarly, while it might be
   nice for developers to have a clear migration path between
   versions, that's really an upstream problem. There's very little
   benefit to fixing it in Debian instead.

2. Why does Debian have to stabilise wxWidgets? Stability is a problem
   for upstream. Of course DDs will sometimes want to patch upstream
   bugs, but the basic judgement call they have to make is whether a
   package is of sufficient quality, compared to the effort they're
   prepared to put into fixing it, to go into Debian. There are
   clearly plenty of apps using wxWidgets 2.8, so their developers are
   presumably happy with it. If the Debian maintainer doesn't agree,
   then he or she can feel free to put a warning on the -dev package,
   but shouldn't prevent new versions and new apps going into Debian
   just because you don't think the library is worth writing to.

In summary, if you as a DD don't feel proud of packaging a library,
and/or don't want to take the criticism for its problems that aren't
your fault, then don't package it. If you want to fix it, then go
upstream. The current talk of a Debian maintainer team for wxgtk
worries me because it looks like either stalling (in which case we
don't get updates or new apps), or succeeding (in which case it's
wasting DDs' time which would be better spent either fixing wxWidgets
upstream, or simply not bothering, and leaving it to users and
developers to work out if it's too buggy to be worth their while).

I'd also add that I'm upstream of several Debian packages, and one
thing that annoys me is DDs who quietly fix bugs without telling me,
or simply don't report bugs upstream. Both lead to duplicated effort
for everyone, and leads to worse quality for Debian users. I'd much
rather DDs would grumble to me (though when they grumble with a patch
that's always great!).

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wx-common depends on:
ii  libc6                   2.6-2            GNU C Library: Shared libraries
ii  libexpat1               1.95.8-3.4       XML parsing C library - runtime li
ii  libgcc1                 1:4.2-20070712-1 GCC support library
ii  libstdc++6              4.2-20070712-1   The GNU Standard C++ Library v3
ii  libwxbase2.6-0          2.6.3.2.1.5      wxBase library (runtime) - non-GUI
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

wx-common recommends no packages.



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_nospam@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #108 received at 403237@bugs.debian.org (full text, mbox):

From: Hamish <hamish_nospam@yahoo.com>
To: 403237@bugs.debian.org
Subject: wxwidgets 2.8
Date: Thu, 16 Aug 2007 23:39:36 +1200
Hi,

fyi, a workaround for those interested in wx 2.8:

wxPython have just released version 2.4.8.2 which for the most part
appears to be a stability release:
  http://www.wxpython.org/recentchanges.php

And they have prepared (unofficial) Debian wx2.8 packages for both
wxWidgets and wxPython:
  http://wiki.wxpython.org/InstallingOnUbuntuOrDebian



also, someone might consider merging bug reports 415677, 425647, and
426253 into this one (403237) as they all address the same issue.


best,
Hamish



Blocking bugs of 413675 added: 403237 and 415677 Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sat, 20 Oct 2007 09:36:03 GMT) Full text and rfc822 format available.

Forcibly Merged 403237 415677 440330. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Sat, 20 Oct 2007 09:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #117 received at 403237@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: 403237@bugs.debian.org
Cc: 403237-submitter@bugs.debian.org, 415677-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org
Subject: New upstream version 2.8.6 packaged
Date: Fri, 26 Oct 2007 18:10:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

I took the liberty to package the new upstream version 2.8.6 of wxWidgets on 
my own account.
All the applications using wx2.6 on my box (eg. poedit, audacity) still run 
perfectly with the new 2.8 version installed.
And I compiled and installed the just released pgadmin 1.8.0 using wx2.8, and 
it runs also fine.

My packages can be found at http://kampfwurst.net/debian/unstable/

I hope to see a new wxWidgets 2.8 entering official archives soon. At least I 
encountered no technical problems compiling, installing and using it.

Regards,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Message sent on to Ryan Nowakowski <tubaman@fattuba.com>:
Bug#403237. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #125 received at 403237@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 403237@bugs.debian.org
Cc: Bastian Kleineidam <calvin@debian.org>
Subject: What's the hell is going on with wx2.8
Date: Sun, 28 Oct 2007 19:55:30 +0100
Hi,

Bastian Kleineidam, me and probably many others people have a working
package for wx2.8.
How long all packages maintainer will keep being stuck to and old
release of their software because of wx2.8 lack?

Bastian, any plan to hijack current wx maintainer soon? It's a shame to
not have wx2.8 yet.

Regards, Adam.






Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #130 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, 403237@bugs.debian.org
Subject: Re: Bug#403237: What's the hell is going on with wx2.8
Date: Mon, 29 Oct 2007 06:19:53 +1030
Er, Hi to you too Adam.

As much as one might find it satisfying to reward such intense
gratitude as you express here with further gifts of their time,
I must point out that talk of hijacking from people who've never
so much as bothered even asking what issues exist for Lenny,
doesn't really make me want to climb on board their aeroplane...

How about you rewind a little, and start with a plan that
includes contacting the current maintainer with a rational
attitude.

I don't know what community you learned behaviour like this
was appropriate in, but it won't get you very far in mine.

If you actually want to help, that would be the shame.

Sincerely,
Ron


On Sun, Oct 28, 2007 at 07:55:30PM +0100, Adam Cécile (Le_Vert) wrote:
> Hi,
> 
> Bastian Kleineidam, me and probably many others people have a working
> package for wx2.8.
> How long all packages maintainer will keep being stuck to and old
> release of their software because of wx2.8 lack?
> 
> Bastian, any plan to hijack current wx maintainer soon? It's a shame to
> not have wx2.8 yet.
> 
> Regards, Adam.
> 
> 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #135 received at 403237@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Ron <ron@debian.org>
Cc: 403237@bugs.debian.org
Subject: Re: Bug#403237: What's the hell is going on with wx2.8
Date: Sun, 28 Oct 2007 23:16:01 +0100
Hi,

The aim of this message was just to see if you were really interrested
in wx2.8.
I'm sorry to say this, but your activity on the BTS doesn't make me feel
there's something going on on wx2.8 packaging.
Many people are waiting on it, please consider this too.

I won't send such message again if you could tell us on the BTS what's
current state of wx2.8 packaging, and if possible an ETA.

All I want is improve Debian. Many people had to delay updated packages
because of missing wx2.8. I'm in this situation too, for a while, and I
don't understand why there's no activity on the BTS (people saying, "I
have a package ready", or "Building ubuntu package on lenny works fine"
and no response from you).

What's the problem with wx2.8 ? I understand it's a big and complicated
package, but I wx2.8 has been released several monthes ago!

Regards, Adam.

Ron a écrit :
> Er, Hi to you too Adam.
>
> As much as one might find it satisfying to reward such intense
> gratitude as you express here with further gifts of their time,
> I must point out that talk of hijacking from people who've never
> so much as bothered even asking what issues exist for Lenny,
> doesn't really make me want to climb on board their aeroplane...
>
> How about you rewind a little, and start with a plan that
> includes contacting the current maintainer with a rational
> attitude.
>
> I don't know what community you learned behaviour like this
> was appropriate in, but it won't get you very far in mine.
>
> If you actually want to help, that would be the shame.
>
> Sincerely,
> Ron
>
>
> On Sun, Oct 28, 2007 at 07:55:30PM +0100, Adam Cécile (Le_Vert) wrote:
>   
>> Hi,
>>
>> Bastian Kleineidam, me and probably many others people have a working
>> package for wx2.8.
>> How long all packages maintainer will keep being stuck to and old
>> release of their software because of wx2.8 lack?
>>
>> Bastian, any plan to hijack current wx maintainer soon? It's a shame to
>> not have wx2.8 yet.
>>
>> Regards, Adam.
>>
>>
>>
>>
>>     





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #140 received at 403237@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
Cc: 403237@bugs.debian.org
Subject: Re: What's the hell is going on with wx2.8
Date: Mon, 29 Oct 2007 07:46:45 +0100
[Message part 1 (text/plain, inline)]
Am Sonntag, 28. Oktober 2007 19:55:30 schrieb Adam Cécile (Le_Vert):
> Bastian, any plan to hijack current wx maintainer soon? It's a shame to
> not have wx2.8 yet.
I have no plans to hijack the wx packages, since I am a bit unfamiliar with 
the wx framework. I just wanted to show Ron Lee and other people that there 
are no technical problems using the wx2.8 release.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Gudjon I. Gudjonsson" <gudjon@gudjon.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #145 received at 403237@bugs.debian.org (full text, mbox):

From: "Gudjon I. Gudjonsson" <gudjon@gudjon.org>
To: 403237@bugs.debian.org
Subject: Wx version 2.8
Date: Mon, 5 Nov 2007 07:16:42 +0100
Hi
    I downloaded wx 2.8 from 
http://www.vislab.uq.edu.au/debian/etch/
and the new version of gspiceui compiles happily with them. I really need 
version 2.8 in Debian to be able to upgrade the package but I don't think I 
can be of much help except for asking you to remove the word "hijacking" from 
of the discussion :)

Cheers
Gudjon




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_nospam@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #150 received at 403237@bugs.debian.org (full text, mbox):

From: Hamish <hamish_nospam@yahoo.com>
To: Debian Bug Tracking System <403237@bugs.debian.org>
Subject: wxwidgets2.6: Suggestion for moving forward
Date: Thu, 08 Nov 2007 15:25:30 +1300
Package: wxwidgets2.6
Followup-For: Bug #403237

Hi all,

perhaps we could establish a SVN acct with Alioth* for the package files?
Then instead of half a dozen or so people making their own unofficial
diverging packages we could focus the effort in one place and all help
to prepare a really good wx2.8 package, which could eventually make it
into the Experimental repo and then one day to sid?

[*] http://svn.debian.org/ (pkg-*)
    http://alioth.debian.org/


FWIW, wx2.8 release history:
2.8.6  2007-10-01
2.8.5  2007-09-10
2.8.4  2007-05-18
2.8.3  2007-03-24
2.8.2  2007-03-13
2.8.0  2006-12-12

We are now almost a year from initial release and 4-5 stabilization
releases into the cycle.

They are now talking about "Looking forward to wxWidgets 3.0"
  http://wxwidgets.blogspot.com/2007/11/looking-forward-to-wxwidgets-3.html


Seems to me that it would be a good idea to focus on 2.8 for Lenny, and
get the package solid with as much lead & testing time as possible before
Lenny's release.


Is there support for a collaborative Alioth/SVN aproach?


thanks,
Hamish




Information stored:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #155 received at 403237-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Hamish <hamish@yahoo.com>, 403237-quiet@bugs.debian.org
Subject: Re: Bug#403237: wxwidgets2.6: Suggestion for moving forward
Date: Thu, 8 Nov 2007 09:35:57 +0200
[Message part 1 (text/plain, inline)]
-=| Hamish, Thu, Nov 08, 2007 at 03:25:30PM +1300 |=-
> perhaps we could establish a SVN acct with Alioth* for the package files?

There is a git repository on git.debian.org

    git-clone ssh://git.debian.org/git/freewx/wx.git
-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #160 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 403237@bugs.debian.org
Subject: Re: Bug#403237: wxwidgets2.6: Suggestion for moving forward
Date: Thu, 8 Nov 2007 19:41:10 +1030
*sigh*

Hamish, I'm sure you mean well, even with what looks like a bogus return
address[1], but please, do a bit of homework if you actually want to help
here...

I'm sorry, but it is hard to take any "suggestion for moving forward"
seriously when it comes from a view that quite plainly neither knows
where we are, which direction we are facing, nor the strength or
direction of underlying currents.

So I'll point out a few landmarks for you, but I'm repeating myself here,
and that _clearly_ isn't helpful in the sense we want to see things
get helped, ok? [2]

> perhaps we could establish a SVN acct with Alioth* for the package files?

Now ask what an absolutely invaluable asset that has already proved
to be for this project over the last few years ...

> Then instead of half a dozen or so people making their own unofficial
> diverging packages we could focus the effort in one place and all help
> to prepare a really good wx2.8 package,

That's something you'll have to take up with the dozen or so diverging
package maintainers.  All the people who've contacted me to date have
been given access to whatever resources they required.  So this clearly
isn't the bottleneck either.

> which could eventually make it into the Experimental repo and then
> one day to sid?

There is a little reef the locals call 'transition plan', that wrecks
many hulls of the unwary diverging package maintainers sailing casually
between those points...

You'll have to demonstrate how to navigate that safely if you want to
get me on board.

The 'one day' you speak of is called Lenny.  When Lenny arrives the
diverging package maintainers will face their final day of judgement.
srsly.

> FWIW, wx2.8 release history:
> 2.8.6  2007-10-01
> 2.8.5  2007-09-10
> 2.8.4  2007-05-18
> 2.8.3  2007-03-24
> 2.8.2  2007-03-13
> 2.8.0  2006-12-12
> 
> We are now almost a year from initial release and 4-5 stabilization
> releases into the cycle.

That's a pretty abbreviated history you have there.

The numbers you show above could be coup dates plotting the stabilization
cycle of governance in a third world republic, for all they show about
the release-worthiness or desirability of each wx2.8 snapshot ...

The 'time since last public mistake' isn't a great compass for future
direction.  What we must care about now is what will the world-view be
when Lenny comes.

Given the last 'stabilization release' apparently requires all binaries
to be rebuilt to incorporate some of its 'stabilising', I'd be hesitant
to declare this rockpile has settled just yet.

Do you have some graph points on the number of serious bugs reported
between each of those 'stabilization' releases, and the number that
still remain?  Or how many more 'stabilization releases' are projected
to be needed before this stable release is really stable enough to
carry the remaining bugs without stumbling?

Do you know if that will ever happen before:

> They are now talking about "Looking forward to wxWidgets 3.0"
>   http://wxwidgets.blogspot.com/2007/11/looking-forward-to-wxwidgets-3.html

Indeed, it's actually supposed to be released before Lenny ...

And will require sourceful changes to most if not all existing
wx apps to transition from existing versions.

> Seems to me that it would be a good idea to focus on 2.8 for Lenny,

... so I'm not really sure why this seems like a good idea to you.

Do you really want 4 separate wx versions incorporated in Lenny?

Or should we perhaps do some more detailed analysis of whether
wx3.x is actually the 'forward' our transition plan must deal with,
and if 2.8 is just a port with cholera which we might not visit for
this next trip.


> get the package solid with as much lead & testing time as possible before
> Lenny's release.

Given that the remaining wx2.4 apps may have a better time switching
to wx3 than they ever did switching to 2.6/2.8, and that apps which
currently need 2.8 will drop it like a hot brick the instant wx3 is
viable -- don't you think all that energy, if you can harness it,
would not be better directed at making wx3 a more viable candidate
than wx2.8 has ever been to date?

You aren't seriously proposing two wx transitions in the time scale
of Lenny, right?  I'll be delighted if we can just pull off one well,
and even that seems like an under-resourced long shot at present.
Rushing for a near-sighted goal isn't the option I'd put my betting
money on for a Good Result.

> Is there support for a collaborative Alioth/SVN aproach?

This thing you call 'support', is it something far away and exotic?

Up to now, joining the group has been as easy as making a few promises
with a lot of latitude for late delivery.

But if you mean 'have _any_ of them been delivered?' ...

... then that's something you'll also have to talk to other people
about.


Or you could read what I've already said in response to this bug
previously, answering exactly this question.  Which in summary is,
anyone who has the skill and inclination to do more than ask me
questions I've already answered publicly will be eagerly welcomed.

So if you still think you know which way is forward and have a
clear plan for the steps you will personally take to help get there,
then fill me in off the list to make a case for what you need.

Otherwise, please let's not keep rehashing the same things in the
bts, it just makes it ever harder for the next person to actually
find the salient points without undue effort.  Hamish, I'd rather
hear what _you_ need personally for Lenny than talk in generalities
about fixes for things that aren't actually blockers (if you aren't
in a spot to actually be helping things along yourself).

There is no magic pill here, just a lot of work that needs to be
done for any transition plan to succeed for Lenny.  The people who
can do it should know who they are, and mostly right now I just
have to wait until they all do before its my turn to move again ...


Cheers,
Ron

ps. Thanks to everyone who has posted a 'what I need' and 'what works'
    report.  So long as they also don't get repetitive, they are good
    things to know when transitions get messy like this one has.


[1] - if it is, please don't do that.  If I can't contact you out of band,
      then don't be surprised if I likewise consider you sideband noise in
      any discussion ...

[2] - so guys, please -- the loud ones especially, you know who you are --
      get together, and get abreast of the facts so you really can do some
      good.  else please, just be patient, everything will happen in its
      own sweet time.





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #165 received at 403237@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: Debian Bug Tracking System <403237@bugs.debian.org>
Subject: Re: Bug#403237: python-wxgtk2.6: new stable upstream version 2.8
Date: Thu, 08 Nov 2007 13:30:49 +0100
Package: wxwidgets2.6
Followup-For: Bug #403237

Hi,

just to throw in another data point-

VTP/virtual terrain also needs 2.8...

thanks for your efforts,
Gürkan




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Gudjon I. Gudjonsson" <gudjon@gudjon.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #170 received at 403237@bugs.debian.org (full text, mbox):

From: "Gudjon I. Gudjonsson" <gudjon@gudjon.org>
To: 403237@bugs.debian.org
Subject: Wx 2.8
Date: Sat, 17 Nov 2007 20:10:37 +0100
Hi
    I read your arguments Ron. You mention the frequent upgrade of Wx 2.8. 
This probably means that Wx 2.8 should stay in experimental but I don't see 
it as an argument to keep it out of Debian. I really need Wx 2.8 into Debian 
now to be able to release a new version of GSpiceUi and guess the Wx team 
would be happy to get feedback from the Debian users.
    I do understand that it is too much work for you but since there is a lot 
of people willing to maintain the Wx 2.8 version in some collaborative 
maintenance, please let them do that. It cannot do any harm :)
    Enough said from the nowise guy :)





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #175 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: "Gudjon I. Gudjonsson" <gudjon@gudjon.org>, 403237@bugs.debian.org
Subject: Re: Bug#403237: Wx 2.8
Date: Sun, 18 Nov 2007 10:35:03 +1030
On Sat, Nov 17, 2007 at 08:10:37PM +0100, Gudjon I. Gudjonsson wrote:
> Hi
>     I read your arguments Ron. You mention the frequent upgrade of Wx 2.8. 

And some things about bugs, the lack of a real upstream freeze,
the lack of any viable transition plan for existing apps, and its
impending obsolescence when wx3 arrives supposedly in the next
month or two -- just to mention a few that I think are greater
and more specific showstoppers than just 'frequent updates'.

> This probably means that Wx 2.8 should stay in experimental but I don't see 
> it as an argument to keep it out of Debian.

I don't really follow that.  Saying it should stay in experimental
is saying it will not be a part of any Debian release.  If it will
not be a part of any Debian release, then it is not part of the
equation for "what we want in Lenny" -- which is the problem that
we actually need to solve.

So I don't really see how busywork on this is wise if we are already
getting tight on time for the important stuff to be done.

> I really need Wx 2.8 into Debian now to be able to release a new
> version of GSpiceUi

I've said previously that I quite sympathise with people stuck on
what we might call the hemorrhaging edge here, but no amount of
sympathy can change the facts on the ground.  Until there is a
new stable release suitable for the distro, the release date of
their 2.8-only app revisions is blocked waiting for a viable wx
release.  That's the way release cycles work.

We had similar trouble when 'stable' wxPython released depending
'unstable' (meaning its API changed nearly every day still) wx.
A whole pile of 'stable' apps were all teetering on an unstable
daily snapshot of a fundamental dependency.

But re GSpiceUi specifically: what exactly do you 'really need'?
I see we have a version in the distro headed for testing that has
no serious bugs reported against it...  Does the new version really
have something so cool that its worth the chaos to everyone else to
rush introducing it?

> and guess the Wx team would be happy to get feedback from the
> Debian users.

They are already getting bug reports faster than they are
resolving them.  If getting even more of them even faster
would make them 'happy', then perhaps we are in deeper
trouble than I had first thought ... ;)

>     I do understand that it is too much work for you but since there is a lot 
> of people willing to maintain the Wx 2.8 version in some collaborative 
> maintenance, please let them do that. It cannot do any harm :)

Please.  End this myth that I'm doing anything to stop anyone
who actually wants to help from doing so and that hordes of
people who would do so are lurking in the wings.  How many
times do I have to repeat this:

We have had collaborative tools for years now.
To date, everyone who has ever asked for access to them has got it.

If nothing appears to be happening out of that, then I hope
you can also understand that I don't feel it is my place to
nag them about it.

My #1 job here is to try and assess what our best bet for Lenny
will be.  So far that's looking like stay where we are, or make
the leap to 3.x, but its still too early to say which.

If people have other ideas, it doesn't really help to just profess
them, they actually need to do the work to make them viable in the
time that we have to us.

So again, and hopefully for the last time, people who want to
help and have a plan for how they can should ping me privately
about it -- and it would be a great help too if the people who
can't or won't or don't, can just let us get on with that
without too many regular showers of magic bullets to dodge.

A big part of this whole collaboration thing is _listening_.
It's very hard to propose a credible Better Solution if you're
not paying attention to what the big problems really are and/or
shortsightedly blaming the wrong things for them.

I know this is an awful mess, but it really can get worse if
people try to force-fit solutions that blindly assume it isn't.

 Ron






Blocking bugs of 431435 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:02 GMT) Full text and rfc822 format available.

Blocking bugs of 404319 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:04 GMT) Full text and rfc822 format available.

Blocking bugs of 444960 added: 403237, 415677, and 440330 Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 28 Nov 2007 13:45:07 GMT) Full text and rfc822 format available.

Blocking bugs of 457157 added: 403237, 415677, and 440330 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2007 09:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #188 received at 403237@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org, calvin@debian.org, ron@voicetronix.com
Subject: Proposition: 'NMU' upload of wxwidgets 2.8
Date: Sun, 3 Feb 2008 01:21:52 +0100
Hi all, hi Ron.


I am fully aware that this is not a nice thing to propose and I know
that even though Ron does not know me and probably never even heard of
me, he will dislike me from this point. I would even go as far as to
agreeing to parts of why that is the case. Still, I feel the need to
write this email. Sorry Ron, and I mean that.


The current situation is as follows: A release with a new minor number
has been out for more than a _year_. While the maintainer in question
argues that 2.8 has lots of open bugs, more and more software versions
depend on it. As the maintainer is also unwilling to release another
package with the correct version numbers as pretty much all other
library packages do, this basically means a total standstill. His
implied suggestion to wait for 3.0 does not improve the situation at
all. In fact, it makes it worse. As of right now, this is blocking
#398615, #404319, #411575, #413675, #431435, #444960, #457157.

I do not claim to know what issues are open with 2.8, but I know that
several projects seem to be coping with whatever bugs those might be. I
also know that several maintainers are waiting for the updated packages.
The only option that makes sense to me in such a situation is a NMU-like
action: Package and maintain wxwidgets 2.8 outside of 2.6's maintainers
reach. This is a drastic, probably even hostile thing to do, but, quite
frankly, it seems to be the only option left to everyone involved. Please
note that this is not actually a NMU as it introduces a new package.

I am not a DD and do not think I have the technical skills to maintain
this package, else I would try to do just that. I am confident that
_someone_ among the people affected by this total blockade is able to do
just this.


Last but not least, if 2.8 proves to be too unstable to handle, just
keep it in unstable until after lenny is released. That will at least
allow the other maintainers to go on with their work, even if it does
not make it into the next stable. That will also ease the path for etch
users as backports should pick 2.8 up, as well.


Again, Ron, I can fully understand that you will not be happy about this
email and I am sorry for that. It is just that I do not see any other
option.


Best regards,
Richard Hartmann




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #193 received at 403237@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Richard Hartmann <richih.mailinglist@gmail.com>, 403237@bugs.debian.org
Subject: Re: Bug#415677: Proposition: find out what the issues are before shooting your mouth off
Date: Sun, 3 Feb 2008 18:07:29 +1030
On Sun, Feb 03, 2008 at 01:21:52AM +0100, Richard Hartmann wrote:
> I am fully aware that this is not a nice thing to propose and I know
> that even though Ron does not know me and probably never even heard of
> me, he will dislike me from this point. I would even go as far as to
> agreeing to parts of why that is the case. Still, I feel the need to
> write this email. Sorry Ron, and I mean that.

I don't automatically dislike people just because they did something
hasty, stupid, or ignorant.  The people with the most right to hold
this against you will be the ones who get burned after blindly following
your advice, or the ones who get burned by what those people inflict
upon them.  That won't be me, I'm just chalking you up as static ranting
in public without investigating the real issues first.  You get used to
that pretty quickly after a few years on wx lists.

> The current situation is as follows: A release with a new minor number
> has been out for more than a _year_.

And has had _at least_ one release critical bug open for it in Ubuntu for
_more than a year_.  And a constant stream of similar "it crashes" bugs
being reported upstream continuously.  Filezilla, one of the so called
'blockers' here, also doesn't seem to work in Ubuntu without crashing.
Not to mention poedit, which is marked as a blocker on the basis of a
totally non-existent release that if, when it is released, really does
need 2.8, will be the result of a totally gratuitous decision by one
of the members of the wx 'core team' who brought you this buggy
unmanaged mess called 2.8 in the first place.

So remind me why we desperately need this in Debian when it will be
obsoleted by upstream, probably before Lenny releases, and certainly
before it is ever in anything like an actually releasable state.


> I do not claim to know what issues are open with 2.8,

And yet you think, "upload now, regret later" is the best course of
action for _someone else_ to take?

I would have thought that finding out what the issues are would have
been the _first_ thing you should have set your mind to when you felt
compelled to act, as you say, in ways that you suspected would make
the people Doing The Work hate you.

I was originally thinking I should probably pity anyone who takes
your advice, but now I'm not so sure about that either ...

Caveat emptor,
Ron





Blocking bugs of 457157 removed: 403237, 415677, 440330, 415677, 403237, 440330, 440330, 403237, and 415677 Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2008 08:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to "Richard Hartmann" <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #200 received at 403237@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: 403237@bugs.debian.org, 415677@bugs.debian.org, 425647@bugs.debian.org, 440330@bugs.debian.org
Subject: Cross-reference to debian-devel
Date: Sun, 3 Feb 2008 14:24:57 +0100
Just letting you know that I posted the same email to debian-devel[1].

Both to help readers in the future and to enable Ron to send his answer
to the list.


Richard

[1] http://lists.debian.org/debian-devel/2008/02/msg00086.html




Message sent on to Ryan Nowakowski <tubaman@fattuba.com>:
Bug#403237. Full text and rfc822 format available.

Message #203 received at 403237-submitter@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: Richard Hartmann <richih@net.in.tum.de>
Cc: gandalf@le-vert.net, hamish_nospam@yahoo.com, dmn@debian.org, ron@debian.org, 425647-submitter@bugs.debian.org, 403237-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org
Subject: wxwidgets 2.8 git repository
Date: Tue, 19 Feb 2008 23:14:39 +0100
[Message part 1 (text/plain, inline)]
Hi,

there is now a git repository for wxwidgets 2.8 Debian packaging. This will 
hopefully help streamlining the current efforts of packaging the 2.8 version 
of wxWidgets.

I have no intentions of uploading any 2.8 packages to experimental or 
unstable. Let us first see what issues come up with the packaging.

Debian developers will have write access by checking out like this:
$ git clone ssh://<user>@git.debian.org/git/collab-maint/wxwidgets28.git

Other users can run:
$ git clone git://git.debian.org/git/collab-maint/wxwidgets28.git

If your firewall blocks the git:// protocol, you can also checkout over HTTP:
$ git clone http://git.debian.org/git/collab-maint/wxwidgets28.git


The currrent contents are a direct import of my packaging effort, but feel 
free to merge in your own changes. With git you can create your own branches 
anyway, so there is not really a restriction, even for non-Debian-developers.


Happy packaging,
  Bastian
[signature.asc (application/pgp-signature, inline)]

Message sent on to Ryan Nowakowski <tubaman@fattuba.com>:
Bug#403237. Full text and rfc822 format available.

Message #206 received at 403237-submitter@bugs.debian.org (full text, mbox):

From: "Richard Hartmann" <richih.mailinglist@gmail.com>
To: gandalf@le-vert.net, hamish_nospam@yahoo.com, hamish@yahoo.com, dmn@debian.org, ron@debian.org, 425647-submitter@bugs.debian.org, 403237-submitter@bugs.debian.org, 440330-submitter@bugs.debian.org, vadim@wxwidgets.org, doko@debian.org, email@christoph-haas.de
Subject: Re: wxwidgets 2.8 git repository
Date: Wed, 20 Feb 2008 12:00:03 +0100
-- Including Vadim, Matthias, Chris on the recipient list, trying to subvert
evil anti-spam measure of hamish --

Please use richih.mailinglist@gmail.com for replies, not the other address.


On Tue, 19 Feb 2008, Bastian Kleineidam wrote:


> there is now a git repository for wxwidgets 2.8 Debian packaging. This will
> hopefully help streamlining the current efforts of packaging the 2.8 version
> of wxWidgets.

Nice. A central location definitely helps.


> I have no intentions of uploading any 2.8 packages to experimental or
> unstable. Let us first see what issues come up with the packaging.

Matthias Klose uploaded 2.8 to experimental, leaving Ron Lee as
maintainer [1].
I would assume that he would appreciate help, though. Vadim contacted
doko about co-maintainership already. He did not get a reply yet.

Vadim also expressed willingness to poke the rdepends of 2.4 and see if
he can get it out of Debian, possibly before Lenny releases. FTP Masters
indicated agreement with having 2.8 enter unstable if requested.


> Debian developers will have write access by checking out like this:
> $ git clone ssh://<user>@git.debian.org/git/collab-maint/wxwidgets28.git

This means Vadim will want to get an alioth guest account. He can poke
me off-list on my primary email address, for help on that.


As you will probably know, the admin interface for the new PostGRE SQL
release depends on 2.8 which makes the whole issue even more pressing.


Richard

[1] http://packages.debian.org/search?keywords=libwxgtk2.8&searchon=names&suite=experimental&section=all




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#403237; Package wxwidgets2.6. Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_nospam@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #211 received at 403237@bugs.debian.org (full text, mbox):

From: Hamish <hamish_nospam@yahoo.com>
To: 403237@bugs.debian.org
Subject: wxwidget2.8 background reading
Date: Sat, 23 Feb 2008 13:54:37 -0800 (PST)
Hi,

For anyone who wants to help Ron et al., or just follow along at home, here are
some links of interest:

Devel is apparently focused at Debian's Git server, and it's alive.
Look for "freewx" projects at http://git.debian.org/

Also there is a project page on Alioth, but AFAICT it's inactive.
  http://alioth.debian.org/projects/freewx/
  CVS:
    http://alioth.debian.org/plugins/scmcvs/cvsweb.php/?cvsroot=freewx
  Freewx-maint mailing list (no posts)
    http://lists.alioth.debian.org/mailman/listinfo/freewx-maint

It was a bit of trouble to find as git's search is non-existant AFAICT and
Alioth's search needs a min of 3 chars, and "wx" is two. The vital clue
was that "freewx" was the needed search term and that they did exist.

And now for 2.8 there is 
  http://git.debian.org/git/collab-maint/wxwidgets28.git/


This bug's URL:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403237
wx2.8 RFH:  (cross-posting these links there)
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=463807

Some debian-devel mailing list history:
  http://thread.gmane.org/gmane.linux.debian.devel.general/114189/focus=115196
  http://thread.gmane.org/gmane.linux.debian.devel.general/120296
  http://thread.gmane.org/gmane.linux.debian.devel.general/122474
  http://thread.gmane.org/gmane.linux.debian.devel.general/124238


3rd party package curve: (note first "please package 2.6.3" wish came ~May'7)
  http://apt.wxwidgets.org/stats/


wx3.0 delivery time:  (weeks? years?)
  http://wxwidgets.blogspot.com/2007/11/looking-forward-to-wxwidgets-3.html
depends who you ask I guess, no idea which page is the more current:
  http://www.wxwidgets.org/develop/roadmap.htm



regards,
Hamish





      ____________________________________________________________________________________
Looking for last minute shopping deals?  
Find them fast with Yahoo! Search.  http://tools.search.yahoo.com/newsearch/category.php?category=shopping




Bug no longer marked as found in version 2.6.3.2.1.5. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Mon, 03 Mar 2008 10:21:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:53:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.